## update-manager 24.10.4

=== debian/changelog ===
update-manager (1:24.10.4) oracular; urgency=medium

  * Indent the recently changed line to avoid a linter E501 error

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Jul 2024 14:30:15 +0200

update-manager (1:24.10.3) oracular; urgency=medium

  [ Tormod Volden ]
  * Display changelogs also for PPA packages on ppa.launchpadcontent.net
    (lp: #2068809)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Jul 2024 13:56:29 +0200

update-manager (1:24.10.2) oracular; urgency=medium

  * Don't crash if the current_news() end-point of the Pro API fails
    (LP: #2064211).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 24 May 2024 16:08:50 +0200

update-manager (1:24.10.1) oracular; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Don't crash if the updates() end-point of the Pro API fails (LP: #2064211).

  [ Himadri Sekhar Basu ]
  * Fix scroll window on update downloading page
    - Currently the download progress box does not
      expand vertically when in fullscreen, however
      the expansion in vertical direction with
      increasing window height is the proper
      behaviour. This fix provides this desired
      behaviour.
    - Fixes LP: #1772486, LP: #1856404

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 22 May 2024 15:21:09 +0000

## update-manager 24.10.6

=== debian/changelog ===
update-manager (1:24.10.6) oracular; urgency=high

  * Fix crash when packages get un-selected (LP: #2041831).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 24 Sep 2024 10:10:35 +0200

update-manager (1:24.10.5) oracular; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Ignore TypeError exceptions to importing Unity (LP: #2072634).
    Unity is imported just for integration, which is not essential to
    Update Manager functionality, so if for whatever GI quirks it fails to
    be imported, Update Manager ought not to crash.

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 03 Sep 2024 14:32:14 -0600

## update-manager 24.10.9

=== debian/changelog ===
update-manager (1:24.10.9) oracular; urgency=medium

  * test_update_origin.py: Update to noble, and packaged archive keys
    (LP: #2109339)
  * test_update_origin: close the dpkg status file when tearing down
    (also tracked in LP: #2109339)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Apr 2025 15:14:08 +0200

update-manager (1:24.10.8) oracular; urgency=medium

  * Screen reader: announce status header for update dialogue (LP: #1105371).
    Although that was claimed to be fixed in the prevoius version, the part
    of the patch corresponding to it was actually left behind.

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Mon, 31 Mar 2025 10:16:29 +0200

update-manager (1:24.10.7) oracular; urgency=medium

  * When all packages are unselected, install button goes away; Fix it not coming back
    after once a package is selected again (LP: #2068805).
  * Screen reader: announce status header for update dialogue and checkbox
    state when the highlighted package changes or is toggled. (lp: #1105371)

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 20 Mar 2025 11:38:46 +0100

## update-manager 25.04.2

=== debian/changelog ===
update-manager (1:25.04.2) plucky; urgency=medium

  * UpdateManager/UpdateManager.py:
    - Fix linter errors.

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Mon, 18 Nov 2024 16:59:35 +0100

update-manager (1:25.04.1) plucky; urgency=medium

  * UpdateManager/Core/UpdateList.py:
    - Keep window responsive while calculating updates. (LP:2076345)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 18 Nov 2024 16:25:31 +0100

## update-manager 25.04.4

=== debian/changelog ===
update-manager (1:25.04.4) plucky; urgency=medium

  * Fix linter "E501 line too long".

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 09 Jan 2025 21:01:45 +0100

update-manager (1:25.04.3) plucky; urgency=medium

  * Screen reader announce status header for update dialogue and checkbox
    state when the highlighted package changes or is toggled.
    (lp: #1105371)

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 09 Jan 2025 17:23:10 +0100

## update-manager 25.04.5

=== debian/changelog ===
update-manager (1:25.04.5) plucky; urgency=medium

  * test_update_origin.py: Update to noble, and packaged archive keys
    (LP: #2109339)
  * test_update_origin: close the dpkg status file when tearing down
    (also tracked in LP: #2109339)
  * Allow output on stderr in autopkgtests (LP: #2109340)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Apr 2025 15:01:42 +0200

## update-manager 25.10.1

=== tests/Makefile ===
#!/usr/bin/make

mago_test:
	#MAGO_SHARE=./mago/ mago -f basic.xml
	MAGO_SHARE=./mago/ mago --log-level=debug -f basic.xml

=== debian/changelog ===
update-manager (1:25.10.1) questing; urgency=medium

  * Update to match the recent update-notifier changes, the handling of oem
    packages is now done in update-manager. Add an option to install all
    available updates on launch (FFe lp: #2122103)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 08:59:27 +0200

=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               gir1.2-gtk-3.0,
               gir1.2-snapd-2,
               pycodestyle,
               python3-all (>= 3.3.0-2),
               python3-dbus,
               python3-distro-info,
               python3-distupgrade,
               python3-distutils-extra (>= 2.38),
               pyflakes3,
               python3-gi (>= 3.8),
               python3-yaml,
Build-Depends-Indep: intltool,
                     libxml-parser-perl,
Standards-Version: 3.8.0
Vcs-Browser: https://code.launchpad.net/update-manager
Vcs-Git: https://git.launchpad.net/update-manager
XS-Testsuite: autopkgtest

Package: update-manager-core
Architecture: all
Section: admin
Depends: distro-info-data,
         python3-distro-info,
         python3-update-manager (= ${source:Version}),
         ubuntu-pro-client,
         ubuntu-release-upgrader-core (>= 1:18.04.9),
         ${misc:Depends},
         ${python3:Depends},
Recommends: libpam-modules (>= 1.0.1-9ubuntu3),
Replaces: update-manager (<< 1:0.146.2),
Breaks: computer-janitor (<= 1.11-0ubuntu1),
        update-manager (<< 1:0.146.2),
Description: manage release upgrades
 This is the core of update-manager and the release upgrader

Package: python3-update-manager
Architecture: all
Section: python
Replaces: update-manager-core (<< 1:0.163),
Breaks: python3-distupgrade (<< 1:16.10.10),
        update-manager-core (<< 1:0.163),
Depends: python3-apt (>= 0.8.5~),
         python3-distro-info,
         python3-distupgrade,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-launchpadlib,
Description: Python 3.x module for update-manager
 Python module for update-manager (UpdateManager).
 .
 This package contains the Python 3.x version of this module.

Package: update-manager
Architecture: all
Depends: gir1.2-gtk-3.0,
         gir1.2-handy-1 (>= 1.5.90),
         gir1.2-snapd-2,
         gnome-shell | policykit-1-gnome | polkit-kde-agent-1 | lxpolkit | lxqt-policykit | mate-polkit | polkit-1-auth-agent,
         libgtk3-perl,
         pkexec,
         polkitd,
         python3-aptdaemon.gtk3widgets (>= 1.1.1+bzr982-0ubuntu13) | synaptic,
         python3-dbus,
         python3-gi (>= 3.8),
         python3-yaml,
         ubuntu-release-upgrader-gtk,
         update-manager-core (= ${source:Version}),
         update-notifier,
         ubuntu-drivers-common,
         ${misc:Depends},
         ${python3:Depends},
Breaks: update-notifier (<< 3.177),
Recommends: python3-launchpadlib,
            software-properties-gtk (>= 0.71.2),
Suggests: gir1.2-dbusmenu-glib-0.4,
          gir1.2-unity-5.0,
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

#Package: update-manager-kde
#Architecture: all
#Section: kde
#Depends: kdesudo,
#         psmisc,
#         python3-pykde4,
#         ubuntu-release-upgrader-qt,
#         update-manager-core,
#         ${misc:Depends},
#         ${python3:Depends},
#Recommends: python3-launchpadlib,
#Description: Support modules for Muon Notifier and Apper
# Support modules for Muon Notifier and Apper to check for new distro releases
# and download the dist-upgrade tool.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INTERPRETERS=python3

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_test:
	python3 ./tests/test_pyflakes.py
	python3 ./tests/test_pycodestyle.py
	dh_auto_test

=== debian/tests/control ===
Tests: nose-tests
Depends: apt,
         aptdaemon,
         pycodestyle,
         pyflakes3,
         python3-mock,
         python3-nose,
         xvfb,
         @,
Restrictions: allow-stderr

## update-manager 26.04.1

=== debian/changelog ===
update-manager (1:26.04.1) resolute; urgency=medium

  [ Andreas Glinserer ]
  * Add parsing of drop-in configuration files (LP: #2139346)

  [ Julian Andres Klode ]
  * Fix build with pyflakes 3.4

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 29 Jan 2026 18:50:59 +0100

## update-manager 26.04.2

=== debian/changelog ===
update-manager (1:26.04.2) resolute; urgency=medium

  * Remove software-properties-gtk from Recommends
    - It is being dropped for 26.04 (LP: 2140527)

 -- Charles <charles05@canonical.com>  Mon, 09 Feb 2026 09:07:08 +0000

## update-manager 26.04.3

=== debian/changelog ===
update-manager (1:26.04.3) resolute; urgency=medium

  * Do not inhibit shutdown or sleep. Apt already inhibits shutdown.
    The argument of whether a sleep operation is to be inhibited during package
    installation belongs likewise to Apt. (lp: #2133012).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 10 Feb 2026 17:16:37 +0100

=== debian/control ===
--- 
+++ 
@@ -77,7 +77,6 @@
          ${python3:Depends},
 Breaks: update-notifier (<< 3.177),
 Recommends: python3-launchpadlib,
-            software-properties-gtk (>= 0.71.2),
 Suggests: gir1.2-dbusmenu-glib-0.4,
           gir1.2-unity-5.0,
 Description: GNOME application that manages apt updates

## update-manager 26.04.4

=== debian/changelog ===
update-manager (1:26.04.4) resolute; urgency=medium

  * Almost completely revert previous change that removed inhibitor of
    shutdown and sleep, but only inhibit sleep now, as a compromise between
      - LP: #2133012: "Restart now" has no effect in update-manager; and
      - LP: #2141637: Ubuntu-release-upgrader crashes without inhibit_sleep.

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 12 Feb 2026 18:53:14 +0100
